Public Member Functions | Data Fields

# SignWindow Struct Reference

Inheritance diagram for SignWindow:

## Public Member Functions
| SignWindow (const WindowDesc *desc, const Sign *si)
void | UpdateSignEditWindow (const Sign *si)
const Sign * | PrevNextSign (bool next)
| Returns a pointer to the (alphabetically) previous or next sign of the current sign.
virtual void | SetStringParameters (int widget) const
virtual void | OnClick (Point pt, int widget, int click_count)
## Data Fields
QueryString | name_editbox
SignID | cur_sign

## Detailed Description

Definition at line 411 of file signs_gui.cpp.

## Member Function Documentation

const Sign* SignWindow::PrevNextSign | ( | bool | next | ) | `[inline]`

Returns a pointer to the (alphabetically) previous or next sign of the current sign.

Parameters:

  | next | false if the previous sign is wanted, true if the next sign is wanted

Returns:
  pointer to the previous/next sign

Definition at line 449 of file signs_gui.cpp.

References GUIList< T, F >::ForceRebuild(), SmallVector< T, S >::Length(), and GUIList< T, F >::NeedResort().

The documentation for this struct was generated from the following file:

- src/signs_gui.cpp